module Main(
	input uartRX,
	input btnReset,
	output sgnServo,
	output [3:0]stepX,
	output [3:0]stepY,
	output [7:0]LED);
	
	wire osc_clk;
	wire [7:0] dataRX;
	wire isBusyRX;
	
	reg [0:0] count = 1;
	reg [7:0] targetX = 0;
	reg [7:0] targetY = 0;
	//reg servoWrite = 0;
	
	wire [7:0] stateX;
	wire isBusyStepperX;
	
	wire [7:0] stateY;
	wire isBusyStepperY;

	assign LED[0] = ~count[0];
	assign LED[1] = count[0];
	
	assign LED[3] = ~isBusyStepperX;
	assign LED[7] = ~isBusyStepperY;
	
	assign stepX = stateX;
	assign stepY = stateY;
	
	always @( negedge isBusyRX)
	begin
		count = count + 1;
	end
	
	always @(dataRX, count)
	begin
		if(count == 0)
			targetX = dataRX;
		else
			targetY = dataRX;
	end
	
	OSCC OSCC_1 (.OSC(osc_clk));
	
	UartRX uartRX1(osc_clk, uartRX, dataRX, isBusyRX); 
	
	Stepper stepperX(osc_clk, 8'd3, targetX, stateX, isBusyStepperX);
	Stepper stepperY(osc_clk, 8'd3, targetY, stateY, isBusyStepperY);
	//PWM pwm1(osc_clk, servoWrite == 1'b1 ? 16'd900 : 16'd2100, sgnServo);
endmodule