module Stepper(
	input osc_clk,
	input [7:0] ratio,
	input [7:0] cTarget,
	output [7:0]oState,
	output isBusy);
	
	wire tmr;
	
	reg [15:0]curr = 0;
	reg [15:0]target = 0;
	reg [3:0]state = 4'b0001;
	
	assign isBusy = (target != curr);
	assign oState = state;
	
	always @(posedge tmr)
	begin
		if(curr > target)
		begin
			if(state == 4'b1000)
			begin
				state = 1;
			end
			else
			begin
				state = state << 1;
			end
			
			curr = curr - 1;
		end
		else if(curr < target)
		begin
			if(state == 4'b0001)
			begin
				state = 4'b1000;
			end
			else
			begin
				state = state >> 1;
			end
			
			curr = curr + 1;
		end
		
		target = cTarget * ratio;
	end
	
	StepperTime stepperTime1(osc_clk, tmr);
	
endmodule