module UartTX(
	input osc_clk,
	input enb,
	input [7:0]data,
	output reg TX,
	output isBusy);
		
	reg [7:0]buffer;
	reg [7:0]state = 0; 

	wire tmrTX;

	assign isBusy = state > 0;

	always @(posedge tmrTX)
	begin
		if(state == 0 && enb == 1'b1)
		begin
			state = 1;
			buffer = data;
			TX = 1'b0;
		end
		else if(state > 20)
		begin
			state = 0;
		end
		else if(state > 8)
		begin
			TX = 1'b1;
			state = state + 1;
		end
		else if(state > 0)
		begin
			TX = buffer[state - 1];
			state = state + 1;
		end
	end
		
	TimeTX timeTX1(osc_clk,tmrTX);
	
endmodule